DCMTK - Feature #296

Dateien mit ungerader Lénge bei createValueFromTempFile()
2008-10-31 00:00 - J6rg Riesmeier

Status: New Start date:

Priority: Low Due date:

Assignee: % Done: 0%
Category: Library Estimated time: 0:00 hour

Target version:

Module: dcmdata Compiler:

Operating System:

Description

Bislang erwartet DcmElement::createValueFromTempFile() eine Datei mit gerader Lange. Fir dump2dcm, xml2dcm und pdf2dcm
ware es aber interessant, wenn auch Dateien mit ungerader Lange akzeptiert wiirden, die dann ggf. am Ende automatisch mit einem
Nullbyte erganzt wirden (Padding). Dieses Verhalten sollte vermutlich Gber ein Flag gesteuert werden kénnen.

History

#1 - 2015-05-22 11:05 - J6rg Riesmeier
- Category set to Library

- Target version set to 3.6.2

Also see this forum posting: http://forum.demtk.org/viewtopic.php?f=18&t=4229

#2 - 2017-03-24 12:55 - Marco Eichelberg

- Priority changed from Normal to Low

#3 - 2017-04-06 17:07 - Jan Schlamelcher

- Assignee set to Anonymous

#4 - 2017-04-27 20:20 - Jorg Riesmeier
- Target version changed from 3.6.2 to 3.6.3

Both xml2dcm and pdf2dem do not seem to be affected since createValueFromTempFile() is not used by these tools.

#5 - 2018-02-05 19:41 - Jan Schlamelcher
- Target version changed from 3.6.3 to 3.6.6

#6 - 2018-10-22 11:46 - Marco Eichelberg

- Assignee deleted (Anonymous)

#7 - 2020-05-25 13:28 - Michael Onken
- Target version deleted (3.6.6)
